global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: true
  name: freeleaps-prod-payment-dashboard
  title: Payment Service Dashboard (PROD)
  metricsPrefix: freeleaps_payment
payment:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: payment
    tag: snapshot-d4c027e
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8006
    protocol: TCP
  resources:
    requests:
      cpu: 200m
      memory: 256Mi
    limits:
      cpu: 300m
      memory: 512Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8006
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8006
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: payment-service
    type: ClusterIP
    port: 8006
    targetPort: 8006
    serviceMonitor:
      enabled: true
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      internal: 30s
      scrapeTimeout: ''
  ingresses: {}
  configs:
    tz: UTC
    appName: payment
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8006
    mongodbName: freeleaps2
    mongodbPort: 27017
    siteUrlRoot: https://freeleaps.com
    metricsEnabled: 'true'
    probesEnabled: 'true'
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: freeleaps-payment-secrets
      creationPolicy: Owner
    refreshInterval: 30s
    data:
    - key: mongodbUri
      remoteRef:
        key: freeleaps-prod-mongodb-uri
        type: Secret
    - key: stripeApiKey
      remoteRef:
        key: freeleaps-prod-stripe-api-key
        type: Secret
  vpa:
    minAllowed:
      enabled: true
      cpu: 50m
      memory: 128Mi
    maxAllowed:
      enabled: true
      cpu: 300m
      memory: 512Mi
    controlledResources:
    - cpu
    - memory
